Main Page Packages Class Hierarchy Compound List File List Compound Members

# attrsetvaluenomodificationallowederr Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| attrsetvaluenomodificationallowederr (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "setValue()" method for an attribute causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly. Obtain the children of the THIRD "gender" element. The elements content is an entity reference. Get the "domestic" attribute from the entity reference and execute the "setValue()" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-core#ID-221662474 , http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-core#xpointer(id('ID-221662474')/setraises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-221662474

Definition at line 49 of file attrsetvaluenomodificationallowederr.java.

## Constructor & Destructor Documentation

attrsetvaluenomodificationallowederr::attrsetvaluenomodificationallowederr | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file attrsetvaluenomodificationallowederr.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00052                                      {
    00053
    00054       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00055 DocumentBuilderSetting.notExpandEntityReferences
    00056         };
    00057         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00058         setFactory(testFactory);
    00059
    00060    }

## Member Function Documentation

String attrsetvaluenomodificationallowederr::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 107 of file attrsetvaluenomodificationallowederr.java.
    00107                                 {
    00108       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/attrsetvaluenomodificationallowederr";
    00109    }

void attrsetvaluenomodificationallowederr::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 110 of file attrsetvaluenomodificationallowederr.java. References DOMTestCase::doMain().
    00110                                           {
    00111         DOMTestCase.doMain(attrsetvaluenomodificationallowederr.class,args);
    00112    }

void attrsetvaluenomodificationallowederr::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 62 of file attrsetvaluenomodificationallowederr.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00062                                                     {
    00063       Document doc;
    00064       NodeList genderList;
    00065       Node gender;
    00066       NodeList genList;
    00067       Node gen;
    00068       NodeList gList;
    00069       Node g;
    00070       NamedNodeMap attrList;
    00071       Attr attrNode;
    00072       doc = load("staff");
    00073       genderList = doc.getElementsByTagName("gender");
    00074       gender = genderList.item(2);
    00075       genList = gender.getChildNodes();
    00076       gen = genList.item(0);
    00077       gList = gen.getChildNodes();
    00078       g = gList.item(0);
    00079       attrList = g.getAttributes();
    00080       attrNode = (Attr)attrList.getNamedItem("domestic");
    00081
    00082         {
    00083                 boolean success = false;
    00084                 try {
    00085                         attrNode.setValue("newvalue");
    00086
    00087                 }
    00088                 catch(DOMException ex) {
    00089                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00090                 }
    00091                 assertTrue("setValue_throws_NO_MODIFICATION",success);
    00092         }
    00093
    00094         {
    00095                 boolean success = false;
    00096                 try {
    00097                         attrNode.setNodeValue("newvalue2");
    00098
    00099                 }
    00100                 catch(DOMException ex) {
    00101                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00102                 }
    00103                 assertTrue("setNodeValue_throws_NO_MODIFICATION",success);
    00104         }
    00105
    00106    }

The documentation for this class was generated from the following file:

- attrsetvaluenomodificationallowederr.java